# ZrtpEventProcessor Class Reference

`#include <zrtpeventproc.h>`

## Public Member Functions

virtual | ~ZrtpEventProcessor ()
virtual void | OnClear (OpalConnection *, unsigned int)
virtual void | OnInitiatingSecure (OpalConnection *, unsigned int)
virtual void | OnPendingSecure (OpalConnection *, unsigned int)
virtual void | OnPendingClear (OpalConnection *, unsigned int)
virtual void | OnSecure (OpalConnection *, unsigned int)
virtual void | OnError (OpalConnection *, unsigned int)
virtual void | OnNoZrtp (OpalConnection *, unsigned int)
virtual void | OnUnknownEvent (OpalConnection *, unsigned int, zrtp_event_t)

## Constructor & Destructor Documentation

virtual ZrtpEventProcessor::~ZrtpEventProcessor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void ZrtpEventProcessor::OnClear | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnError | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnInitiatingSecure | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnNoZrtp | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnPendingClear | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnPendingSecure | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnSecure | ( | OpalConnection * | ,
|  | unsigned | int |
| ) |  |  | `[inline, virtual]`

virtual void ZrtpEventProcessor::OnUnknownEvent | ( | OpalConnection * | ,
|  | unsigned | int,
|  | zrtp_event_t |  |
| ) |  |  | `[inline, virtual]`

The documentation for this class was generated from the following file:

- zrtpeventproc.h